Bug 1171866 - (CVE-2020-12723) VUL-0: CVE-2020-12723: perl: corruption of the intermediate language state of a compiled regular expression
(CVE-2020-12723)
VUL-0: CVE-2020-12723: perl: corruption of the intermediate language state of...
Status: NEW
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Michael Schröder
Security Team bot
https://smash.suse.de/issue/259614/
CVSSv3.1:SUSE:CVE-2020-12723:6.4:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-05-19 08:53 UTC by Alexandros Toptsoglou
Modified: 2020-08-19 15:09 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
patch v530 (13.31 KB, patch)
2020-05-19 08:55 UTC, Alexandros Toptsoglou
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Alexandros Toptsoglou 2020-05-19 08:55:25 UTC
Created attachment 837966 [details]
patch v530
Comment 7 Swamp Workflow Management 2020-06-18 13:35:45 UTC
SUSE-SU-2020:1662-1: An update that solves three vulnerabilities and has three fixes is now available.

Category: security (important)
Bug References: 1102840,1160039,1170601,1171863,1171864,1171866
CVE References: CVE-2020-10543,CVE-2020-10878,CVE-2020-12723
Sources used:
SUSE OpenStack Cloud Crowbar 8 (src):    perl-5.18.2-12.23.1
SUSE OpenStack Cloud 8 (src):    perl-5.18.2-12.23.1
SUSE OpenStack Cloud 7 (src):    perl-5.18.2-12.23.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    perl-5.18.2-12.23.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    perl-5.18.2-12.23.1
SUSE Linux Enterprise Server 12-SP5 (src):    perl-5.18.2-12.23.1
SUSE Linux Enterprise Server 12-SP4 (src):    perl-5.18.2-12.23.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    perl-5.18.2-12.23.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    perl-5.18.2-12.23.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    perl-5.18.2-12.23.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    perl-5.18.2-12.23.1
SUSE Enterprise Storage 5 (src):    perl-5.18.2-12.23.1
HPE Helion Openstack 8 (src):    perl-5.18.2-12.23.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2020-06-19 13:16:35 UTC
SUSE-SU-2020:1682-1: An update that solves three vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1171863,1171864,1171866,1172348
CVE References: CVE-2020-10543,CVE-2020-10878,CVE-2020-12723
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    perl-5.26.1-7.12.1
SUSE Linux Enterprise Server 15-LTSS (src):    perl-5.26.1-7.12.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP2 (src):    perl-5.26.1-7.12.1
SUSE Linux Enterprise Module for Development Tools 15-SP2 (src):    perl-5.26.1-7.12.1
SUSE Linux Enterprise Module for Development Tools 15-SP1 (src):    perl-5.26.1-7.12.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    perl-5.26.1-7.12.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    perl-5.26.1-7.12.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    perl-5.26.1-7.12.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    perl-5.26.1-7.12.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2020-06-22 22:17:43 UTC
openSUSE-SU-2020:0850-1: An update that solves three vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1171863,1171864,1171866,1172348
CVE References: CVE-2020-10543,CVE-2020-10878,CVE-2020-12723
Sources used:
openSUSE Leap 15.1 (src):    perl-5.26.1-lp151.9.6.1
Comment 10 Swamp Workflow Management 2020-07-07 16:24:19 UTC
SUSE-SU-2020:1682-2: An update that solves three vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1171863,1171864,1171866,1172348
CVE References: CVE-2020-10543,CVE-2020-10878,CVE-2020-12723
Sources used:
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP1 (src):    perl-5.26.1-7.12.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.